Skip to main content
PATCH
/
v1
/
links
/
{id}
/
edit
cURL
curl --request PATCH \
  --url https://api.nomod.com/v1/links/{id}/edit \
  --header 'Content-Type: application/json' \
  --header 'X-API-KEY: <api-key>' \
  --data '
{
  "status": "enabled",
  "title": "<string>"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "reference_id": "<string>",
  "title": "<string>",
  "url": "<string>",
  "amount": "<string>",
  "currency": "<string>",
  "status": "enabled",
  "discount": "<string>",
  "service_fee": "<string>",
  "allow_tip": true,
  "shipping_address_required": true,
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "amount": "<string>",
      "total_amount": "<string>",
      "name": "<string>",
      "quantity": 2147483647,
      "sku": "<string>"
    }
  ],
  "tax": "<string>",
  "note": "<string>",
  "taxes": [
    {
      "name": "<string>",
      "mode": "<string>",
      "mode_value": "0.000",
      "value": "0.000"
    }
  ],
  "discount_percentage": 123,
  "service_fee_percentage": "<string>",
  "tip": "<string>",
  "tip_percentage": 123,
  "due_date": "2023-11-07T05:31:56Z",
  "custom_fields": [
    {
      "name": "<string>",
      "is_required": true
    }
  ],
  "source": "nomod_hosted",
  "allow_tabby": true,
  "allow_tamara": true,
  "allow_service_fee": true,
  "payment_expiry_limit": 123,
  "expiry_date": "2023-12-25"
}

Documentation Index

Fetch the complete documentation index at: https://nomod-26.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-KEY
string
header
required

Your API key. This is required by all endpoints to access our API programatically. You can view your API Key by navigating to the app settings

Path Parameters

id
string<uuid>
required

Body

application/json
status
enum<string>
  • enabled - Enabled
  • disabled - Disabled
Available options:
enabled,
disabled
title
string

Craft a beautiful name for your link

Maximum string length: 50

Response

id
string<uuid>
required
read-only
reference_id
string
required
read-only
title
string
required
read-only
url
string<uri>
required
read-only
amount
string<decimal>
required
read-only
Pattern: ^-?\d{0,10}(?:\.\d{0,3})?$
currency
string
required
status
enum<string>
required
  • enabled - enabled
  • disabled - disabled
Available options:
enabled,
disabled
discount
string<decimal>
required
read-only
Pattern: ^-?\d{0,10}(?:\.\d{0,3})?$
service_fee
string<decimal>
required
read-only
Pattern: ^-?\d{0,10}(?:\.\d{0,3})?$
allow_tip
boolean
required
read-only
shipping_address_required
boolean
required
read-only
items
object[]
required
tax
string<decimal>
required
read-only
Pattern: ^-?\d{0,10}(?:\.\d{0,3})?$
note
string
required
read-only
taxes
object[]
required
read-only
discount_percentage
integer
required
read-only
service_fee_percentage
string<decimal>
required
read-only
Pattern: ^-?\d{0,3}(?:\.\d{0,2})?$
tip
string<decimal>
required
read-only
Pattern: ^-?\d{0,10}(?:\.\d{0,3})?$
tip_percentage
integer
required
read-only
due_date
string<date-time>
required
read-only
custom_fields
object[]
required
read-only
source
enum<string>
required
  • nomod_hosted - Nomod Hosted
  • woocommerce - WooCommerce
  • shopify - Shopify
  • zapier - Zapier
  • nomod_api - API
  • store - Store
  • app - App
  • web - Web
Available options:
nomod_hosted,
woocommerce,
shopify,
zapier,
nomod_api,
store,
app,
web
allow_tabby
boolean
required
read-only
allow_tamara
boolean
required
read-only
allow_service_fee
boolean
required
read-only
payment_expiry_limit
integer | null
required
read-only
expiry_date
string<date> | null
required
read-only